import { __rest } from "tslib";
import * as React from "react";
/** 仅仅修改传递的参数，就搞出一个新组件。只是把儿子备份组件做了个定制参数，
 * 包裹子组件，把几个子组件的props参数改了。添加样式style: { display: "block" }
 * This wrapper allows us to also render non-sancho icons. It should probably
 * remain a private component.
 */
export const IconWrapper = (_a) => {
    var { size = "md", color, children } = _a, other = __rest(_a, ["size", "color", "children"]);
    return React.cloneElement(children, Object.assign({ size,
        color, "aria-hidden": true, style: { display: "block" } }, other));
};
//# sourceMappingURL=IconWrapper.js.map